import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/activity_meter/domain/get_device_steps_use_case.dart';
import 'package:functions/src/features/activity_meter/domain/get_device_steps_use_case_impl.dart';

final getDeviceStepsUseCaseProvider = Provider.autoDispose<GetDeviceStepsUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return GetDeviceStepsUseCaseImpl(functionsRepository);
});
